## libnl 1.0~pre6

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 # Makefile
 #
-#		This program is free software; you can redistribute it and/or
-#		modify it under the terms of the GNU General Public License
-#		as published by the Free Software Foundation; either version
-#		2 of the License, or (at your option) any later version.
+# 	This library is free software; you can redistribute it and/or
+#	modify it under the terms of the GNU Lesser General Public
+#	License as published by the Free Software Foundation version 2.1
+#	of the License.
 #
-# Copyright (c) 2003-2005 Thomas Graf <tgraf@suug.ch>
+# Copyright (c) 2003-2006 Thomas Graf <tgraf@suug.ch>
 #
 
 ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
@@ -38,7 +38,7 @@
 		echo "Entering $$dir" && cd $$dir && $(MAKE) install && cd ..; \
 	done
 	mkdir -p $(DESTDIR)$(libdir)/pkgconfig/
-	install -o root -g root -m 0644 libnl-1.pc $(DESTDIR)$(libdir)/pkgconfig/
+	install -m 0644 libnl-1.pc $(DESTDIR)$(libdir)/pkgconfig/
 
 gendoc:
 	$(MAKE) -C doc gendoc
@@ -49,6 +49,10 @@
 	@echo "CFLAGS:      $(CFLAGS)"
 	@echo "DEPFLAGS:    $(DEPFLAGS)"
 	@echo "LDFLAGS:     $(LDFLAGS)"
+	@echo "DESTDIR:     $(DESTDIR)"
+	@echo "prefix:      $(prefix)"
+	@echo "libdir:      $(libdir)"
+	@echo "includedir:  $(includedir)"
 
 cscope:
 	cscope -b -q -R -Iinclude -slib -ssrc
