=== lib/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 # lib/Makefile
 #
-#		This program is free software; you can redistribute it and/or
-#		modify it under the terms of the GNU General Public License
-#		as published by the Free Software Foundation; either version
-#		2 of the License, or (at your option) any later version.
+# 	This library is free software; you can redistribute it and/or
+#	modify it under the terms of the GNU Lesser General Public
+#	License as published by the Free Software Foundation version 2.1
+#	of the License.
 #
-# Copyright (c) 2003-2005 Thomas Graf <tgraf@suug.ch>
+# Copyright (c) 2003-2006 Thomas Graf <tgraf@suug.ch>
 #
 
 ifeq ($(shell [ ! -r ../Makefile.opts ] && echo 1),)
@@ -58,10 +58,10 @@
 
 install:
 	mkdir -p $(DESTDIR)$(libdir)/
-	install -o root -g root -m 0644 $(OUT_SLIB) $(DESTDIR)$(libdir)
-	rm -f $(DESTDIR)$(libdir)/$(LN1_SLIB) ; \
+	install -m 0644 $(OUT_SLIB) $(DESTDIR)$(libdir)
+	rm -f $(DESTDIR)$(libdir)/$(LN1_SLIB)
 	$(LN) -s $(OUT_SLIB) $(DESTDIR)$(libdir)/$(LN1_SLIB)
-	rm -f $(DESTDIR)$(libdir)/$(LN_SLIB) ; \
+	rm -f $(DESTDIR)$(libdir)/$(LN_SLIB)
 	$(LN) -s $(LN1_SLIB) $(DESTDIR)$(libdir)/$(LN_SLIB)
 
 $(DEPS): ../Makefile.opts
