## libnl 1.1

=== debian/changelog ===
libnl (1.1-8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix_netlink-kernel_new_define.patch: Fix breakage
      following new version of linux-lib-dev renaming __LINUX_NETLINK_H to
      _UAPI__LINUX_NETLINK_H.
      The added patch should make libnl work with either define.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 05 May 2013 13:56:56 -0400

libnl (1.1-8) unstable; urgency=low

  * Bump Build-Depends on debhelper to (>= 9).
  * Move libnl1 into section oldlibs.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Feb 2013 02:41:59 +0100

libnl (1.1-7ubuntu1) raring; urgency=low

  * Fix breakage following new version of linux-libc-dev renaming
    __LINUX_NETLINK_H to _UAPI__LINUX_NETLINK_H.
    The added patch should make libnl work with either define.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Nov 2012 11:52:49 -0500

libnl (1.1-7) unstable; urgency=low

  * debian/control
    - Update Vcs-* fields: Move packaging from svn to git.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
    - Remove debian/README.source.
  * Move from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper for override targets.
    - Convert debian/rules to use dh.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Transition to multiarch.
  * debian/patches/remove_inline_specifier.patch
    - Remove 'inline' for nl_object_priv() in include/netlink/object.h and
      lib/object.c to not trigger compiler warnings with -std=gnu99.
      Patch courtesy of Jamie Strandboge. Closes: #546474

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2011 00:33:40 +0200

libnl (1.1-6) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
    - Update homepage URL.
    - Remove obsolete Conflicts/Replaces (pre-lenny).
  * debian/watch
    - Update for new upstream location.
  * debian/patches/fix_port_tracking.patch
    - release_local_port: properly compute bitmap position. Closes: #594328
      Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 03:03:41 +0100

libnl (1.1-5) unstable; urgency=low

  * Add symbols file for libnl1.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Feb 2009 00:26:05 +0100

libnl (1.1-4) unstable; urgency=low

  * debian/control 
    - Add ${misc:Depends} to all binary packages.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/rules
    - Include debhelper.mk before other files as recommended by the cdbs
      documentation.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 13:26:53 +0100

libnl (1.1-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.0.
  * Switch to quilt for patch management.
  * Add README.source which refers to the quilt documentation.
  * debian/patches/limits.patch
    - Add missing include to limits.h. This is required when compiling against
      glibc 2.8. Thanks to Kees Cook for the patch. Closes: #501485

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Oct 2008 21:34:34 +0200

libnl (1.1-2) unstable; urgency=low

  * debian/libnl-doc.doc-base
    - Register the API documentation with doc-base.
  * debian/control
    - Add Suggests: doc-base to libnl-doc.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Mar 2008 00:42:54 +0100

libnl (1.1-1) unstable; urgency=low

  * New stable upstream release.
  * debian/patches/01-ip_mg_alg_internal_only.patch
    - Removed, merged upstream.
  * debian/control
    - Rename binary package libnl1-pre8 to libnl1.
    - [libnl1] Add Conflicts/Replaces: libnl1-pre8.
    - [libnl-dev] Change Depends to libnl1.
  * Rename debian/libnl1-pre8.install to debian/libnl1.install
  * debian/copyright
    - Minor updates and additions.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jan 2008 16:58:12 +0100

libnl (1.0~pre8-1) unstable; urgency=low

  * New upstream release. Closes: #456175
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Rename binary package libnl1-pre6 to libnl1-pre8.
    - [libnl1-pre8] Add Conflicts/Replaces: libnl1-pre6. The two versions are
       not coinstallable.
    - [libnl-dev] Change Depends to libnl1-pre8.
  * Rename debian/libnl1-pre6.install to debian/libnl1-pre8.install.
  * debian/patches/10-amd64-linux-types.patch
    - Removed, merged upstream.
  * debian/patches/01-ip_mg_alg_internal_only.patch
    - Pull a fix from upstream. The header linux/ip_mp_alg.h is no longer part
      of the linux kernel headers (i.e. linux-libc-dev) so remove it from
      netlink/netlink.h.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Dec 2007 07:45:03 +0100

libnl (1.0~pre6-6) unstable; urgency=low

  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Replace deprecated ${Source-Version} substvar with ${binary:Version}.
    - Change Build-Depends: gs-gpl | gs-esp to Build-Depends: ghostscript.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 07:15:29 +0200

libnl (1.0~pre6-5) unstable; urgency=low

  * debian/control
    - Add XS-Vcs-* fields.
    - Replace Build-Depends: tetex-bin with texlive-latex-base. teTeX is now
      gone, superseded by texlive.
    - Add Build-Depends: graphviz, gs-gpl | gs-esp. 
      The "dot" program is needed for generating the diagram image and "gs"
      for the ps to png conversion.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Apr 2007 15:45:48 +0200

libnl (1.0~pre6-4) unstable; urgency=medium

  * Autobuilders do not distinguish between build-arch and build-indep, they
    simply run build. So we have to move doxygen and tetex-bin from 
    Build-Depends-Indep to Build-Depends. Closes: #408719

