=== debian/control ===
Source: libnl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9), doxygen, texlive-latex-base, graphviz, ghostscript
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-utopia/libnl.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/libnl.git;a=summary
Homepage: http://www.infradead.org/~tgr/libnl/

Package: libnl1
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets 
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.

Package: libnl-dev
Architecture: any
Section: libdevel
Depends: libnl1 (= ${binary:Version}), ${misc:Depends}
Suggests: libnl-doc
Description: development library and headers for libnl
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.
 .
 This package contains all files that are needed to build applications using
 libnl.

Package: libnl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Description: API documentation for libnl
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.
 .
 This package contains the API reference documentation for libnl.
