=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) gendoc

override_dh_auto_clean:
	[ ! -f Makefile.opts ] || dh_auto_clean
