=== debian/watch ===
version=3
http://www.infradead.org/~tgr/libnl/ .*libnl-(\d+.*)\.tar\.gz
