## libnl 1.1-2

=== debian/control ===
Source: libnl
Section: net
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
Build-Depends: debhelper (>= 5.0.0), cdbs, doxygen, texlive-latex-base, graphviz, ghostscript
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/libnl
Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/libnl
Homepage: http://people.suug.ch/~tgr/libnl/

Package: libnl1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libnl1-pre6, libnl1-pre8
Replaces: libnl1-pre6, libnl1-pre8
Description: library for dealing with netlink sockets 
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.

Package: libnl-dev
Architecture: any
Section: libdevel
Depends: libnl1 (= ${binary:Version})
Suggests: libnl-doc
Description: development library and headers for libnl
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.
 .
 This package contains all files that are needed to build applications using
 libnl.

Package: libnl-doc
Architecture: all
Section: doc
Suggests: doc-base
Description: API documentation for libnl
 This is a library for applications dealing with netlink sockets. 
 The library provides an interface for raw netlink messaging and various 
 netlink family specific interfaces.
 .
 This package contains the API reference documentation for libnl.
