## libnl 1.1-2nokia1

=== debian/changelog ===
libnl (1.1-2nokia1) unstable; urgency=low

  * Disable documentation generation.
  * Add VLAN_FLAG_REORDER_HDR, because it's not in kernel headers yet.

 -- Kalle Valo <kalle.valo@nokia.com>  Wed, 09 Apr 2008 13:21:25 +0300
