=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Uploaders: Thomas Maass <inyourface@gmx.de>
-Build-Depends: debhelper (>= 5.0.0), cdbs, doxygen, texlive-latex-base, graphviz, ghostscript
+Build-Depends: debhelper (>= 5.0.0), cdbs
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-utopia/packages/unstable/libnl
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/libnl
