=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 build/libnl-doc::
-	$(MAKE) gendoc
+	#$(MAKE) gendoc
