=== debian/watch ===
version=3
opts="uversionmangle=s/-pre/~pre/" \
http://people.suug.ch/~tgr/libnl/files/libnl-(\d+.*)\.tar\.gz
